Time for an lsh release

Niels Möller nisse at lysator.liu.se
Tue Dec 1 22:59:31 CET 2015


ludo at gnu.org (Ludovic Courtès) writes:

> I think this is one of the things urgently needed if we want to allow
> people to keep using lsh/lshd, along with applying the Nettle 3 upgrade
> patch².

I've spent the evening fixing the most important issues: nettle-3 (using
Magnus' patch), gcc-5, and updated default ciphers. The new default
cipher-list is trimmed down to aes256-ctr, aes128-ctr, 3des-cbc.

Testing highly appreciated. To try it out, use something like

  git clone https://git.lysator.liu.se/lsh/lsh.git
  cd lsh
  git checkout lsh-2.0.4 # This is the stable branch
  ./.bootstrap
  ./configure
  make bootstrap
  make
  make check

Regards,
/Niels

-- 
Niels Möller. PGP-encrypted email is preferred. Keyid C0B98E26.
Internet email is subject to wholesale government surveillance.


More information about the lsh-bugs mailing list